---
title: PresentationConnectionList
slug: Web/API/PresentationConnectionList
tags:
  - API
  - Experimental
  - Interface
  - Presentation
  - Presentation API
  - PresentationConnectionList
  - Reference
---
<p>{{securecontext_header}}{{SeeCompatTable}}{{APIRef("Presentation API")}}</p>

<p><span class="seoSummary"><code>PresentationConnectionList</code><dfn> is the collection of </dfn><dfn>incoming presentation connections</dfn>.</span></p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('PresentationConnectionList.connections')}} {{readonlyinline}}</dt>
 <dd>Returns the non-terminated set of {{DOMxRef("PresentationConnection")}}s in the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-set-of-presentation-controllers">set of presentation controllers</a>.</dd>
</dl>

<h3 id="Event_Handlers">Event Handlers</h3>

<dl>
 <dt>{{domxref('PresentationConnectionList.onconnectionavailable')}}</dt>
 <dd>Fired whenever a new <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-connection">presentation connection</a> becomes available.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation','#interface-presentationconnectionlist','PresentationConnectionList')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PresentationConnectionList")}}</p>
